"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-312/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08611F80>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08612020>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC086120C0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08612160>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08612200>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC086122A0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08612340>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC086123E0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08612480>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08612520>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC086125C0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08612660>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08612700>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC086127A0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08612840>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC086128E0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08612980>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08612A20>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08612AC0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08612B60>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08612C00>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08612CA0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08612D40>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08612DE0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08612E80>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08612F20>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08612FC0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08613060>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08613100>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC086131A0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08613240>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC086132E0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08613380>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08613420>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC086134C0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08613560>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08613600>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC086136A0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08613740>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC086137E0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08613880>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08613920>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC086139C0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08613A60>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08613B00>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08613BA0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08613C40>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08613CE0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08613D80>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08613E20>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08613EC0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08613F60>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08668040>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC086680E0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08668180>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08668220>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC086682C0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08668360>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08668400>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC086684A0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08668540>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC086685E0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08668680>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08668720>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC086687C0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08668860>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08668900>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC086689A0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08668A40>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08668AE0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08668B80>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08668C20>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08668CC0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08668D60>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08668E00>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08668EA0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08668F40>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08668FE0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08669080>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08669120>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08669260>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC086691C0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08669300>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC086693A0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x000002CC08669440>)]
name: str = 'fr_HOCCN'
